/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.odf.course');

org.ametys.odf.course.CourseXmlLoader = Ext.extend(org.ametys.tree.XmlTreeLoader, {});

org.ametys.odf.course.CourseXmlLoader.prototype.processResponse = function(response, node, callback) 
{
	this._nodeTags = {};
	this._nodeTags['course'] = '';
	this._nodeTags['courselist'] = '';
	
	org.ametys.odf.course.CourseXmlLoader.superclass.processResponse.call(this, response, node, callback);
}

org.ametys.odf.course.CourseXmlLoader.prototype.processAttributes = function(attr)
{
	org.ametys.odf.course.CourseXmlLoader.superclass.processAttributes.call(this, attr);

	attr.text = "[" + attr.code + "] " + attr.title;
	attr.type = attr.tagName;
	
	if (attr.tagName == "course")
    { 
        attr.allowDrop = false; // on ne peut pas dépLacer un elp ou une liste sous un elp
        attr.icon = getPluginResourcesUrl ('odf') + '/img/course/elp_16.png';
    }
    else if (attr.tagName == "courselist")
    { 
        attr.allowDrag = false; // une liste ne peut pas être déplacée
        attr.icon = getPluginResourcesUrl('odf') + '/img/course/course_list_16.png';
    }
}

org.ametys.odf.course.CourseXmlLoader.prototype.createNode = function(node) 
{
	var attr = {
		tagName :node.tagName
	};

	Ext.each(node.attributes, function(a) {
		attr[a.nodeName] = a.nodeValue;
	});
	
	this._currentXMLNode = node;
	this.processAttributes(attr);
	delete this._currentXMLNode;
	
	if (this.baseAttrs)
    {
        Ext.applyIf(attr, this.baseAttrs);
    }
    if (this.applyLoader !== false)
    {
        attr.loader = this;
    }
    if (typeof attr.uiProvider == 'string')
    {
       attr.uiProvider = this.uiProviders[attr.uiProvider] || eval(attr.uiProvider);
    }
    
    return new Ext.tree.AsyncTreeNode(attr);
}

