/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.odf.courselist.CourseListAction');
Ext.namespace('org.ametys.odf.courselist.CourseListAction.add');
Ext.namespace('org.ametys.odf.courselist.CourseListAction.edit');
Ext.namespace('org.ametys.odf.courselist.CourseListAction.remove');

org.ametys.odf.courselist.CourseListAction = function ()
{
}
org.ametys.odf.courselist.CourseListAction._parentId;
org.ametys.odf.courselist.CourseListAction._courseListId;

// ------------------------------------------------------------
// ADD COURSE LIST
//------------------------------------------------------------
org.ametys.odf.courselist.CourseListAction.add = function (id, config, pluginName)
{
	org.ametys.odf.courselist.CourseListAction._mode = 'new';
	
	// Get selected course
    var targets = org.ametys.ribbon.RibbonManager.getInstance().getCurrentSelectionTargets();
	var target = org.ametys.messagebus.message.MessageTargetHelper.findFirst(targets, function(target) { return target.getType() == 'content' &amp;&amp; 
		(target.getParameters().type == 'org.ametys.plugins.odf.Content.course'
			||  target.getParameters().type == 'org.ametys.plugins.odf.Content.program'
				||  target.getParameters().type == 'org.ametys.plugins.odf.Content.subProgram'
					||  target.getParameters().type == 'org.ametys.plugins.odf.Content.container');
		});
	
	if (target == null)
		return;	
	
	org.ametys.odf.courselist.CourseListAction._parentId = target.getParameters().id;
	org.ametys.odf.courselist.CourseListAction._courseListId = null;
	
	if (!org.ametys.odf.courselist.CourseListAction.delayedInitialized ())
		return;
	
	org.ametys.odf.courselist.CourseListAction.box.show ();
	org.ametys.odf.courselist.CourseListAction.init();
}

org.ametys.odf.courselist.CourseListAction.edit = function (id, config, pluginName)
{
	org.ametys.odf.courselist.CourseListAction._mode = 'edit';
	
	// Get selected course list
    var targets = org.ametys.ribbon.RibbonManager.getInstance().getCurrentSelectionTargets();
	var target = org.ametys.messagebus.message.MessageTargetHelper.findFirst(targets, function(target) { return target.getType() == 'course-list'});
	if (target == null)
		return;
	
	org.ametys.odf.courselist.CourseListAction._courseListId = target.getParameters().id;
	org.ametys.odf.courselist.CourseListAction._parentId = null;
	
	if (!org.ametys.odf.courselist.CourseListAction.delayedInitialized ())
		return;
	
	org.ametys.odf.courselist.CourseListAction.box.show ();
	org.ametys.odf.courselist.CourseListAction.editInit();
}

org.ametys.odf.courselist.CourseListAction.delayedInitialized = function ()
{
		org.ametys.odf.courselist.CourseListAction._form = new Ext.FormPanel ({
			labelWidth: 130,
			border: false,
			
			items: [
		            new Ext.form.Hidden ({
		            	name: 'parentId'
		            }),
		            new Ext.form.Hidden ({
		            	name: 'id'
		            }),
		            new org.ametys.form.TextField ({
		                fieldLabel : "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_NAME"/>", 
		                desc: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_NAME_DESC"/>", 
		                name: 'name',
		                width: 200,
		                allowBlank: false,
		                msgTarget: 'side'
		            }),
		            new org.ametys.form.TextField ({
		            	fieldLabel: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_ECTS"/>",
		            	desc: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_ECTS_DESC"/>",
		            	name: 'ects',
		            	width: 50,
		            	allowBlank: false,
		            	msgTarget: 'side'
		            }),
		            new org.ametys.form.ComboField({
		                fieldLabel: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_TYPE"/>",
		                desc: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_TYPE_DESC"/>",
			            name: 'type',
			            allowBlank: false,
			            editable: false,
			            triggerAction: 'all',
			            width : 200,
			            emptyText: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_TYPE_EMPTY"/>",
			            store: [['MANDATORY', "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_TYPE_MANDATORY"/>"],
			            		['OPTIONAL', "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_TYPE_OPTIONAL"/>"],
				            	['CHOICE', "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_TYPE_CHOICE"/>"]
			            		],
			            listeners: {'select': {fn: org.ametys.odf.courselist.CourseListAction._onSelectType, scope: this}},
			            msgTarget: 'side'
		            }),
		            new org.ametys.form.LongField ({
		            	fieldLabel: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_NB_ELP"/>",
		            	desc: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_NB_ELP_DESC"/>",
		            	name: 'nb-choices',
		            	minValue: 1,
		            	defaultValue: 1,
		            	allowBlank: false,
		            	disabled: true,
		            	msgTarget: 'side'
		            }),
		            new org.ametys.form.LongField ({
		            	fieldLabel: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_MAX_ELP"/>",
		            	desc: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_MAX_ELP_DESC"/>",
		            	name: 'available-choices',
		            	minValue: 1,
		            	defaultValue: 1,
		            	allowBlank: false,
		            	disabled: true,
		            	msgTarget: 'side'
		            })
		    ]
		});

		org.ametys.odf.courselist.CourseListAction.box = new org.ametys.DialogBox ({
	        
			title : "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_DIALOG_TITLE"/>" , 
			icon: getPluginResourcesUrl('odf') + '/img/course/course_list_16.png',
	        cls: 'text-dialog',
	        
	        width: 420,
	        height: 230,
	        autoScroll: true,
	       
	        items : org.ametys.odf.courselist.CourseListAction._form,
	        
	        defaultButton: org.ametys.odf.courselist.CourseListAction._form.getForm().findField('name'),
	        buttons : [{
	            text : "<i18n:text i18n:key="PLUGINS_ODF_BTN_OK"/>", 
	            handler: org.ametys.odf.courselist.CourseListAction._ok 
	        },{
	            text : "<i18n:text i18n:key="PLUGINS_ODF_BTN_CANCEL"/>", 
	            handler: org.ametys.odf.courselist.CourseListAction._cancel
	        }]
	    });
	
	org.ametys.odf.courselist.CourseListAction._initialized = false;
	return true;
}

org.ametys.odf.courselist.CourseListAction.init = function ()
{
	var form = org.ametys.odf.courselist.CourseListAction._form.getForm();
	
	form.findField ('parentId').setValue (org.ametys.odf.courselist.CourseListAction._parentId);
	form.findField ('id').setValue('');
	form.findField ('name').setValue('');
	form.findField ('name').clearInvalid();
	form.findField ('ects').setValue(0);
	form.findField ('ects').clearInvalid();
	form.findField ('type').setValue('');
	form.findField ('type').clearInvalid ();
	form.findField ('nb-choices').setValue(1);
	form.findField ('nb-choices').clearInvalid ();
	form.findField ('nb-choices').disable();
	form.findField ('available-choices').setValue(2);
	form.findField ('available-choices').clearInvalid ();
	form.findField ('available-choices').disable();
}

org.ametys.odf.courselist.CourseListAction.editInit = function ()
{
	var params = {'id': org.ametys.odf.courselist.CourseListAction._courseListId};
	var serverMessage = new org.ametys.servercomm.ServerMessage('odf', '/course-list', params, org.ametys.servercomm.ServerComm.PRIORITY_SYNCHRONOUS, null, this, null);
	var response = org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
	
	// TODO Handle error
	
	var form = org.ametys.odf.courselist.CourseListAction._form.getForm();
	org.ametys.odf.courselist.CourseListAction._fillForm (response, form);
	
}
	
org.ametys.odf.courselist.CourseListAction._fillForm = function (response, form)
{
	var title = response.selectSingleNode('course-list/title')[ org.ametys.servercomm.ServerComm.xmlTextContent];
	var type = response.selectSingleNode('course-list/type')[ org.ametys.servercomm.ServerComm.xmlTextContent];
	var ects = response.selectSingleNode('course-list/ects')[ org.ametys.servercomm.ServerComm.xmlTextContent];
	var nbChoices = response.selectSingleNode('course-list/nb-choices')[ org.ametys.servercomm.ServerComm.xmlTextContent];
	var availableChoices = response.selectSingleNode('course-list/available-choices')[ org.ametys.servercomm.ServerComm.xmlTextContent];
	
	form.findField ('parentId').setValue ('');
	form.findField ('id').setValue(org.ametys.odf.courselist.CourseListAction._courseListId);
	
	form.findField ('name').setValue(title);
	form.findField ('ects').setValue(ects);
	form.findField ('type').setValue(type);
	form.findField ('nb-choices').setValue(nbChoices);
	form.findField ('available-choices').setValue(availableChoices);
	form.findField ('nb-choices').setDisabled(type != 'CHOICE');
	form.findField ('available-choices').setDisabled(type != 'CHOICE');
}

org.ametys.odf.courselist.CourseListAction._onSelectType = function (combo, record, index)
{
	var form = org.ametys.odf.courselist.CourseListAction._form.getForm();
	if (combo.getValue() == 'CHOICE')
	{
		form.findField ('nb-choices').enable();
		form.findField ('available-choices').enable();
	}
	else
	{
		form.findField ('nb-choices').disable();
		form.findField ('available-choices').disable();
	}
}

org.ametys.odf.courselist.CourseListAction._ok = function ()
{
	var form = org.ametys.odf.courselist.CourseListAction._form.getForm();
	if (!form.isValid())
		return;
	
    var params = {};
    params.name = form.findField('name').getValue();
    params.type = form.findField('type').getValue ();
    params.ects = form.findField('ects').getValue ();
    var parentId = form.findField('parentId').getValue();
    params.parentId = parentId;
    params.id = form.findField('id').getValue();
    params['nb-choices'] = form.findField('nb-choices').getValue();
    params['available-choices'] = form.findField('available-choices').getValue();
 
    if (org.ametys.odf.courselist.CourseListAction._mode == 'new')
    {
    	var serverMessage = new org.ametys.servercomm.ServerMessage('odf', '/add-course-list', params, org.ametys.servercomm.ServerComm.PRIORITY_MAJOR, org.ametys.odf.courselist.CourseListAction._addCb, this, [parentId]);
    	org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
    }
    else
    {
    	var serverMessage = new org.ametys.servercomm.ServerMessage('odf', '/edit-course-list', params, org.ametys.servercomm.ServerComm.PRIORITY_MAJOR, org.ametys.odf.courselist.CourseListAction._editCb, this, [parentId]);
    	org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
    }
}

org.ametys.odf.courselist.CourseListAction._addCb = function (response, args)
{
	if (org.ametys.servercomm.ServerComm.handleBadResponse("<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_CREATE_ERROR"/>", response, "org.ametys.odf.courselist.CourseListAction.add"))
	{
		return;
	}
	
	var locked = response.selectSingleNode("ActionResult/locked") != null ? response.selectSingleNode("ActionResult/locked")[org.ametys.servercomm.ServerComm.xmlTextContent] == 'true' : false;
	if (locked)
	{
		var msg = response.selectSingleNode("ActionResult/message")[org.ametys.servercomm.ServerComm.xmlTextContent];
		Ext.Msg.show({
			title: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_DIALOG_TITLE"/>",
			msg: msg,
			buttons: Ext.Msg.OK,
			icon: Ext.MessageBox.ERROR
		});
		return;
	}
	
	var msg = response.selectSingleNode("ActionResult/message") != null ? response.selectSingleNode("ActionResult/message")[org.ametys.servercomm.ServerComm.xmlTextContent] : '';
	if (msg == "already-exist")
	{
		Ext.Msg.show({
			title: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_DIALOG_TITLE"/>",
			msg: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_CREATE_ALREADY_EXIST"/>",
			buttons: Ext.Msg.OK,
			icon: Ext.MessageBox.ERROR
		});
		return;
	}
	
	org.ametys.odf.courselist.CourseListAction.box.close();
	
	var parentId = response.selectSingleNode("ActionResult/parentId")[org.ametys.servercomm.ServerComm.xmlTextContent];
	var courseListId = response.selectSingleNode("ActionResult/courseListId")[org.ametys.servercomm.ServerComm.xmlTextContent];
	var courseListName = response.selectSingleNode("ActionResult/courseListName")[org.ametys.servercomm.ServerComm.xmlTextContent];
	var courseListTitle = response.selectSingleNode("ActionResult/courseListTitle")[org.ametys.servercomm.ServerComm.xmlTextContent];
	var lang = response.selectSingleNode("ActionResult/courseListLanguage")[org.ametys.servercomm.ServerComm.xmlTextContent];
	
	// Fires event
	var target = org.ametys.messagebus.bus.MessageBuilder.getInstance().createTarget("course-list", {'id': courseListId, 'name': courseListName, 'title': courseListTitle, 'lang': lang, 'parentId': args[0]});
	var event = org.ametys.messagebus.bus.MessageBuilder.getInstance().createMessage(org.ametys.ribbon.RibbonManager.EVENTTYPE_CREATED, null, [target]);
	org.ametys.messagebus.MessageBus.getInstance().fireMessages([event]);
}

org.ametys.odf.courselist.CourseListAction._editCb = function (response, args)
{
	if (org.ametys.servercomm.ServerComm.handleBadResponse("<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_EDIT_ERROR"/>", response, "org.ametys.odf.courselist.CourseListAction.edit"))
	{
		return;
	}
	
	org.ametys.odf.courselist.CourseListAction.box.close();
	
	var id = response.selectSingleNode("ActionResult/courseListId")[org.ametys.servercomm.ServerComm.xmlTextContent];
	var name = response.selectSingleNode("ActionResult/courseListName")[org.ametys.servercomm.ServerComm.xmlTextContent];
	var title = response.selectSingleNode("ActionResult/courseListTitle")[org.ametys.servercomm.ServerComm.xmlTextContent];
	var lang = response.selectSingleNode("ActionResult/courseListLanguage")[org.ametys.servercomm.ServerComm.xmlTextContent];
	
	// Fires event
	var target = org.ametys.messagebus.bus.MessageBuilder.getInstance().createTarget("course-list", {'id': id, 'name': name, 'title': title, 'lang': lang});
	var event = org.ametys.messagebus.bus.MessageBuilder.getInstance().createMessage(org.ametys.ribbon.RibbonManager.EVENTTYPE_METADATACHANGED, null, [target]);
	org.ametys.messagebus.MessageBus.getInstance().fireMessages([event]);
}

org.ametys.odf.courselist.CourseListAction._cancel = function ()
{
	org.ametys.odf.courselist.CourseListAction.box.close();
}


//-------------------------------------------------------------------
org.ametys.odf.courselist.CourseListAction.remove = function ()
{
	var targets = org.ametys.ribbon.RibbonManager.getInstance().getCurrentSelectionTargets();
	var target = org.ametys.messagebus.message.MessageTargetHelper.findFirst(targets, function(target) { return target.getType() == 'course-list'});
	if (target == null)
		return;
	
	var id = target.getParameters().id;
	
	Ext.Msg.confirm("<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_DELETE"/>", 
			"<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_DELETE_CONFIRM"/>", 
			function (answer) 
			{
				if (answer == 'yes')
				{
					org.ametys.odf.courselist.CourseListAction._doRemove (id)
				}
			},
			this
	);
}

org.ametys.odf.courselist.CourseListAction._doRemove = function (id)
{
	var params = {'id': id};
	var serverMessage = new org.ametys.servercomm.ServerMessage('odf', '/delete-course-list', params, org.ametys.servercomm.ServerComm.PRIORITY_MAJOR, org.ametys.odf.courselist.CourseListAction._removeCb, this, [id]);
	org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
}

org.ametys.odf.courselist.CourseListAction._removeCb = function (response, args)
{
	if (org.ametys.servercomm.ServerComm.handleBadResponse("<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_DELETE_ERROR"/>", response, "org.ametys.odf.courselist.CourseListAction.remove"))
	{
		return;
	}
	
	var msg = response.selectSingleNode('ActionResult/message')[org.ametys.servercomm.ServerComm.xmlTextContent];
	
	if (msg == 'locked')
	{
		Ext.Msg.show({
			title: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_DELETE"/>",
			msg: "<i18n:text i18n:key="PLUGINS_ODF_COURSE_LIST_DELETE_LOCKED_ERROR"/>",
			buttons: Ext.Msg.OK,
			icon: Ext.MessageBox.ERROR
		});
		return;
	}
	
	var target = org.ametys.messagebus.bus.MessageBuilder.getInstance().createTarget("course-list", {'id': args[0]});
	var event = org.ametys.messagebus.bus.MessageBuilder.getInstance().createMessage(org.ametys.ribbon.RibbonManager.EVENTTYPE_DELETED, null, [target]);
	org.ametys.messagebus.MessageBus.getInstance().fireMessages([event]);
}
