/*
 *  Copyright 2014 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.odf.dashboard.tool');

org.ametys.odf.dashboard.tool.CourseDashboardTool = function(id, pluginName) 
{
    org.ametys.odf.dashboard.tool.CourseDashboardTool.superclass.constructor.call(this, id, pluginName);
};

Ext.extend(org.ametys.odf.dashboard.tool.CourseDashboardTool, org.ametys.odf.dashboard.tool.ProgramDashboardTool, {});

org.ametys.odf.dashboard.tool.CourseDashboardTool.prototype._prefixId = 'course-dashboard-';

org.ametys.odf.dashboard.tool.CourseDashboardTool.prototype._getTasks = function ()
{
	var serverMessage = new org.ametys.servercomm.ServerMessage('odf', '/courses/tasks.xml', {}, org.ametys.servercomm.ServerComm.PRIORITY_SYNCHRONOUS, null, this, null);
    var response = org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
    
    var tasks = {};
    
    var taskNodes = response.selectNodes('tasks/task');
    for (var i=0; i &lt; taskNodes.length; i++)
    {
        var taskId = taskNodes[i].getAttribute('id');
        var taskLabel = taskNodes[i][org.ametys.servercomm.ServerComm.xmlTextContent];
        tasks[taskId] = taskLabel;
    }
    
    return tasks;
}

org.ametys.odf.dashboard.tool.CourseDashboardTool.prototype._getStoreUrl = function ()
{
	return getPluginDirectUrl('odf') + '/courses/todo-list.xml';
}

org.ametys.odf.dashboard.tool.CourseDashboardTool.prototype._testTargetContentType = function (target)
{
	return target.getParameters().type == 'org.ametys.plugins.odf.Content.course';
}