/*
 *  Copyright 2015 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.odf.indesign.ExportInDesign');

org.ametys.odf.indesign.ExportInDesign = function (id, config, pluginName)
{
    var targets = org.ametys.ribbon.RibbonManager.getInstance().getCurrentSelectionTargets();
	var target = org.ametys.messagebus.message.MessageTargetHelper.findFirst(targets, org.ametys.odf.indesign.ExportInDesign._testTarget.createDelegate(this));
	
	if (target == null)
		return; 
	
	var args = 'id=' + target.getParameters().id;
	for (var i in context.parameters)
	{
		args += '&amp;' + i + '=' + encodeURIComponent(context.parameters[i]);
	}
	
    var url = getPluginDirectUrl('odf') + '/indesign/program.xml?' + args;
    window.open(url);
}

org.ametys.odf.indesign.ExportInDesign._testTarget = function (target)
{
	return target.getType() == "content" && target.getParameters().type == 'org.ametys.plugins.odf.Content.program';
}

