/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.odf.orgunit');

org.ametys.odf.orgunit.OrgUnitSearchTool = function(id, pluginName) 
{
	org.ametys.odf.orgunit.OrgUnitSearchTool.superclass.constructor.call(this, id, pluginName);
};

Ext.extend(org.ametys.odf.orgunit.OrgUnitSearchTool, org.ametys.cms.tool.search.SearchTool, {});


// Override to remove the "export" button
org.ametys.odf.orgunit.OrgUnitSearchTool.prototype._getBBarButton = function ()
{
	return [ new Ext.Button({
		        text: "<i18n:text i18n:key="UITOOL_SEARCH_BUTTON_SEARCH" i18n:catalogue="plugin.cms"/>",
		        handler: this.launchSearch,
				scope: this,
				icon: getPluginResourcesUrl ('cms') + '/img/search/search_16.png'
		    }), 
		    '-',
		    new Ext.Button({
		        text:  "<i18n:text i18n:key="UITOOL_SEARCH_BUTTON_CANCEL" i18n:catalogue="plugin.cms"/>",
		        handler: this.stopSearch,
		        scope: this,
		        disabled: true,
		        icon:getPluginResourcesUrl ('cms') + '/img/search/stop_16.png'
		    })
	];
}

org.ametys.odf.orgunit.OrgUnitSearchTool.prototype._preventFireMessage = false;

org.ametys.odf.orgunit.OrgUnitSearchTool.prototype._fireMessages = function (sm)
{
	if (this._preventFireMessage)
	{
		this._preventFireMessage = false;
		return;
	}
	org.ametys.odf.course.CourseSearchTool.superclass._fireMessages.call(this, sm);
}

org.ametys.odf.orgunit.OrgUnitSearchTool.prototype.onMessage = function (messages)
{
	org.ametys.odf.orgunit.OrgUnitSearchTool.superclass.onMessage.call(this, messages);
	
	for (var i=messages.length - 1; i >= 0; i--)
	{
		if (messages[i].getType().getName() == org.ametys.ribbon.RibbonManager.EVENTTYPE_SELECTIONCHANGED)
		{
			var targets = messages[i].getTargets();
			
			var allTargets = org.ametys.messagebus.message.MessageTargetHelper.findAll(targets, this._testTarget);
			if (allTargets.length == 1)
			{
				// Selection may provide from OrgUnit tree
				var record = this._resultGrid.getStore().getById (allTargets[0].getParameters().id);
				if (record != null)
				{
					this._preventFireMessage = true;
					this._resultGrid.getSelectionModel().selectRecords([record]);
				}
			}
			else
			{
				return;
			}
		}
	}
}

org.ametys.odf.orgunit.OrgUnitSearchTool.prototype._testTarget = function (target)
{
	return target.getType() == "content" &amp;&amp; target.getParameters().type == 'org.ametys.plugins.odf.Content.orgunit';
}
