/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.odf.orgunit');

/**
 * Load data from XML to fill in the tree
 */

org.ametys.odf.orgunit.OrgUnitXmlLoader = Ext.extend(org.ametys.tree.XmlTreeLoader, {});

org.ametys.odf.orgunit.OrgUnitXmlLoader.prototype.processResponse = function(response, node, callback) 
{
	this._nodeTags = {};
	this._nodeTags['orgunit'] = '';
	org.ametys.odf.orgunit.OrgUnitXmlLoader.superclass.processResponse.call(this, response, node, callback);
}

org.ametys.odf.orgunit.OrgUnitXmlLoader.prototype.processAttributes = function(attr)
{
	if (attr.tagName == "orgunit")
    { 	    
		attr.text = attr.title;
		attr.type = "orgunit";
		attr.allowChildren = true;
		if (!attr.hasChild)
		{
			attr.leaf = true;
		}
        if (this.syncMode)
        {
       	 	// loading all data at once :
            attr.expanded = true;
        	attr.loaded = true;
        }
		attr.icon = getPluginResourcesUrl ('odf') + '/img/orgunit/orgunit_16.png';
		
		if (this.checkMode)
        {
       	 	attr.checked = false;
        }
    }
		
    attr.loaded = false;
    attr.expanded = false;
}

org.ametys.odf.orgunit.OrgUnitXmlLoader.prototype.createNode = function(node)
{
        var attr = {
                tagName: node.tagName
            };

        Ext.each(node.attributes, function(a){
            attr[a.nodeName] = a.nodeValue;
        });

        this.processAttributes(attr);
        
        return new Ext.tree.AsyncTreeNode(attr);
        
}
	

