/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
Ext.namespace('org.ametys.odf.person');

org.ametys.odf.person.PersonSearchTool = function(id, pluginName) 
{
	org.ametys.odf.person.PersonSearchTool.superclass.constructor.call(this, id, pluginName);
};

Ext.extend(org.ametys.odf.person.PersonSearchTool, org.ametys.cms.tool.search.SearchTool, {});

org.ametys.odf.person.PersonSearchTool.prototype._testTarget = function (target)
{
	return target.getType() == "content" &amp;&amp; target.getParameters().type == "org.ametys.plugins.odf.Content.person";
}

org.ametys.odf.person.PersonSearchTool.renderTitleOrName = function (value, p, record)
{
	var title = '';
	if (record.data['icon-small'])
	{
		title += '&lt;img src="' + context.contextPath + record.data['icon-small'] + '" style="float:left; margin-right: 5px"/&gt;';
	}
	
	var lastName = record.data['lastName'];
	var givenName = record.data['givenName'];
	var ptitle = record.data['personTitle'];
	var login = record.data['login'];
	
	if (lastName != '' || givenName != '')
	{
		title += lastName + (givenName != '' ? " " + givenName : "") + " (" + login + ")";
	}
	else
	{
		title += ptitle + " (" + login + ")";
	}
	return title;
}


	