/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.odf.program.AddProgram');

org.ametys.odf.program.AddProgram.AddProgramAction = function (controlId, controlConfiguration, controlPluginName)
{
	org.ametys.cms.buttons.content.CreateContentAction._configuration = controlConfiguration;
	// @Override 'ok' function
	org.ametys.cms.buttons.content.CreateContentAction._okFn = org.ametys.odf.program.AddProgram.AddProgramAction._ok;
	
	org.ametys.cms.buttons.content.CreateContentAction._createBoxIfNeeded();
	
	// Override title and icon
	org.ametys.cms.buttons.content.CreateContentAction._box.setTitle("<i18n:text i18n:key="PLUGINS_ODF_CONTENT_CREATEPROGRAMACTION_TITLE"/>" + "...");
	org.ametys.cms.buttons.content.CreateContentAction._box.setIconPath(getPluginResourcesUrl("odf") + "/img/education/education_16.png");
	Ext.getCmp("content-type-to-create").setValue(controlConfiguration["content-type-to-create"]);
	Ext.getCmp("content-language-to-create").setValue("");
	
	org.ametys.cms.buttons.content.CreateContentAction._box.show();
	
	var f = Ext.getCmp("content-name-to-create");
	f.setValue("<i18n:text i18n:key="PLUGINS_ODF_CONTENT_CREATEPROGRAMACTION_CONTENTNAME"/>");
	f.focus(true, 100);
}

org.ametys.odf.program.AddProgram.AddProgramAction._ok = function()
{
	var actionId = org.ametys.cms.buttons.content.CreateContentAction._configuration["workflowInitActionId"];
	
	var params = org.ametys.odf.program.AddProgram.AddProgramAction._getParams();
	if (params == null)
	{
		return;
	}
	
	org.ametys.cms.buttons.content.CreateContentAction._box.showWaitMsg();
	
	var serverMessage = new org.ametys.servercomm.ServerMessage("cms", 'init-workflow/' + actionId, params, org.ametys.servercomm.ServerComm.PRIORITY_MAJOR, org.ametys.odf.program.AddProgram.AddProgramAction._creationCb, this, params, "xml");
	org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
}

org.ametys.odf.program.AddProgram.AddProgramAction._creationCb = function(response, params)
{
	org.ametys.cms.buttons.content.CreateContentAction._box.hideWaitMsg();
	org.ametys.cms.buttons.content.CreateContentAction._creationCallBack (response, params);
}

org.ametys.odf.program.AddProgram.AddProgramAction._getParams = function()
{
	var nameField = Ext.getCmp("content-name-to-create"); 
	if (!nameField.isValid())
	{
		return null;
	}
	
	var params = {};
	params["workflow-org.ametys.cms.workflow.CreateContentFunction$contentName"] = nameField.getValue();
	params["workflow-org.ametys.cms.workflow.CreateContentFunction$contentTitle"] = nameField.getValue();
	params["workflow-org.ametys.cms.workflow.CreateContentFunction$contentType"] = Ext.getCmp("content-type-to-create").getValue();
	
	for (var c in org.ametys.cms.buttons.content.CreateContentAction._configuration)
	{
		if (c.indexOf("workflow-") == 0)
		{
			params[c] = org.ametys.cms.buttons.content.CreateContentAction._configuration[c];
		}
	}
	
	var targets = org.ametys.ribbon.RibbonManager.getInstance().getCurrentSelectionTargets();
	var target = org.ametys.messagebus.message.MessageTargetHelper.findFirst(targets, function(target) { return target.getType() == "content" });
	params["workflow-org.ametys.cms.workflow.CreateContentFunction$category"] = target != null ? target.getParameters().id : "";
	
	return params;
}

/* TODO : WTF !?
org.ametys.odf.program.AddProgram._AddSelectionListener = function(button, target, node)
{
	var off = target == null || node == null;

	button.getElement().setDisabled(off);
	button.getElement().toggle(!off);
}*/

