/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.odf.program');

/**
 * Load data from XML to fill in the tree
 */

org.ametys.odf.program.ProgramStructXmlLoader = Ext.extend(org.ametys.tree.XmlTreeLoader, {});

org.ametys.odf.program.ProgramStructXmlLoader.prototype.processResponse = function(response, node, callback) 
{
	this._nodeTags = {};
	this._nodeTags['program'] = '';
	this._nodeTags['subprogram'] = '';
	this._nodeTags['container'] = '';
	this._nodeTags['courselist'] = '';
	this._nodeTags['course'] = '';
	
	org.ametys.odf.program.ProgramStructXmlLoader.superclass.processResponse.call(this, response, node, callback);
}

org.ametys.odf.program.ProgramStructXmlLoader.prototype.processAttributes = function(attr)
{
	attr.text = attr.title + " [" + attr.code + "]";
	attr.type = attr.tagName;
	if (attr.tagName == "program")
    { 	    
		attr.icon = getPluginResourcesUrl ('odf') + '/img/education/education_16.png';
    }
	else if (attr.tagName == "subprogram")
	{
        attr.icon = getPluginResourcesUrl ('odf') + '/img/education/parcours_16.png';
	}
	else if(attr.tagName == "container")
	{
	    attr.icon = getPluginResourcesUrl ('odf') + '/img/education/container_16.png';
	}
    else if(attr.tagName == "courselist")
    { 
    	attr.icon = getPluginResourcesUrl('odf') + '/img/course/course_list_16.png';
    }
    else if (attr.tagName == "course")
    { 
        attr.icon = getPluginResourcesUrl ('odf') + '/img/course/elp_16.png';
    }
	
	if (attr.hasChild != 'true'&& attr.hasList != 'true')
	{
		attr.leaf = true;
	}
	
    attr.loaded = false;
    attr.expanded = false;
}

org.ametys.odf.program.ProgramStructXmlLoader.prototype.createNode = function(node)
{
    var attr = {
            tagName: node.tagName
        };

    Ext.each(node.attributes, function(a){
        attr[a.nodeName] = a.nodeValue;
    });

    this.processAttributes(attr);

	return new Ext.tree.AsyncTreeNode(attr);
	
	// si aucun fils
	// return new Ext.tree.TreeNode(attr);
}
	

