/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.odf.program');

org.ametys.odf.program.ProgramTools = function(id, pluginName) 
{
	org.ametys.odf.program.ProgramTools.superclass.constructor.call(this, id, pluginName);
};

Ext.extend(org.ametys.odf.program.ProgramTools, org.ametys.cms.tool.search.SearchTool, {});

org.ametys.odf.program.ProgramTools.prototype._testTarget = function (target)
{
	return target.getType() == "content" &amp;&amp; target.getParameters().type == "org.ametys.plugins.odf.Content.program";
}

org.ametys.odf.program.ProgramTools.renderLanguage = function (value, p, record)
{
	return '&lt;img src="' + context.contextPath + record.data['language-image'] + '" style="float:left; margin-right: 5px" alt="' + value + '"/&gt;';
}

org.ametys.odf.program.ProgramTools.renderMultipleMetadata = function (value, p, record)
{
	var displayValue = "";
	
	var nodeValues = record.node.selectNodes("metadata/" + this.dataIndex);
	for (var i=0; i &lt; nodeValues.length; i++)
	{
		if (i != 0)
		{
			displayValue += ", "
		}
		displayValue += nodeValues[i][org.ametys.servercomm.ServerComm.xmlTextContent];
	}
	
	return displayValue;
}
