/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.odf.program.button');

/**
 * Create the control instance.
 * @param {String} id The unique identifier
 * @param {Map<id, value>} configuration The configuration of the control instance.
 * @param {String} pluginName The name of the declaring plugin
 * @class This class implements the behavior for an action.
 * @extends org.ametys.ribbon.control.RibbonControl
 */
org.ametys.odf.program.button.ProgramOrContainerActionButton = function(id, configuration, pluginName)
{
	org.ametys.odf.program.button.ProgramOrContainerActionButton.superclass.constructor.call(this, id, configuration, pluginName);
}

Ext.extend(org.ametys.odf.program.button.ProgramOrContainerActionButton, org.ametys.ribbon.control.button.ActionSelectionButton, {});

org.ametys.odf.program.button.ProgramOrContainerActionButton.prototype._testTarget = function(target)
{
	return target.getType() == 'content' && (target.getParameters().type == 'org.ametys.plugins.odf.Content.program' 
		|| target.getParameters().type == 'org.ametys.plugins.odf.Content.subProgram' 
		|| target.getParameters().type == 'org.ametys.plugins.odf.Content.container'
	);
}

