/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.odf.tab');

org.ametys.odf.tab.ContentSelectionTab = function(id, configuration, pluginName, tabPanel) 
{
	org.ametys.odf.tab.ContentSelectionTab.superclass.constructor.call(this, id, configuration, pluginName, tabPanel);
	
	this._contentTypeRegExp = new RegExp(configuration['content-type']);
}

Ext.extend(org.ametys.odf.tab.ContentSelectionTab, org.ametys.cms.ribbon.tab.SelectionTab, {});

org.ametys.odf.tab.ContentSelectionTab.prototype._contentTypeRegExp;

org.ametys.odf.tab.ContentSelectionTab.prototype._testTarget = function(target)
{
	var testTarget = org.ametys.odf.tab.ContentSelectionTab.superclass._testTarget.call(this, target);
	if (testTarget && target.getType() == 'content')
	{
		return this._contentTypeRegExp.test(target.getParameters().type);
	}
	return testTarget;
}
