/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.odf.widgets');

// Register widget
org.ametys.utils.Widgets.registerWidget ('string', 'code-uai', 'org.ametys.odf.widgets.CodeUAIWidget');

/**
 * @class This class provides a widget to edit the UAI code
 * @extends Ext.form.TextField
 */
org.ametys.odf.widgets.CodeUAIWidget = function(config) 
{
	org.ametys.odf.widgets.CodeUAIWidget.superclass.constructor.call(this, config);
}; 

Ext.extend(org.ametys.odf.widgets.CodeUAIWidget, org.ametys.form.TextField, {});

org.ametys.odf.widgets.CodeUAIWidget.prototype.onRender = function(ct, position)
{
	org.ametys.odf.widgets.CodeUAIWidget.superclass.onRender.call(this, ct, position);
	
	var targets = org.ametys.ribbon.RibbonManager.getInstance().getCurrentSelectionTargets();
	var ouTarget = org.ametys.messagebus.message.MessageTargetHelper.findFirst(targets, function (target) {return target.getType() == 'content' && target.getParameters().type == 'org.ametys.plugins.odf.Content.orgunit'});
	
	if (ouTarget != null && ouTarget.getParameters().name == 'orgunit-root-orgunit')
	{
		// UAI code of root org unit is not editable
		this.setVisible(false);
	}
}




