/*
 *  Copyright 2014 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.odf.widgets');

// Register widget
org.ametys.utils.Widgets.registerEnumeratedWidget ('string', 'degree-enumeration', 'org.ametys.odf.widgets.DegreeWidget');

org.ametys.odf.widgets.DegreeWidget = function(config, enumeratedValues) 
{
    org.ametys.odf.widgets.DegreeWidget.superclass.constructor.call(this, config, enumeratedValues);
}; 

Ext.extend(org.ametys.odf.widgets.DegreeWidget, org.ametys.widgets.SortEnumeratedStringWidget, {});

org.ametys.odf.widgets.DegreeWidget._listeners = [];

org.ametys.odf.widgets.DegreeWidget.registerListener = function (listener)
{
    org.ametys.odf.widgets.DegreeWidget._listeners.push(listener);
}

org.ametys.odf.widgets.DegreeWidget.prototype.onRender = function (ct, position)
{
    org.ametys.odf.widgets.DegreeWidget.superclass.onRender.call(this, ct, position);

    this.addListener('change', this._onChange, this);
    this.addListener('destroy', function () {
        org.ametys.odf.widgets.DegreeWidget._listeners = [];
    }, this);
}

org.ametys.odf.widgets.DegreeWidget.prototype.setValue = function (values)
{
    org.ametys.odf.widgets.DegreeWidget.superclass.setValue.call(this, values);
    this._alertListeners(values);
}

org.ametys.odf.widgets.DegreeWidget.prototype._onChange = function (field, newValue, oldValue)
{
    this._alertListeners(newValue);
}

org.ametys.odf.widgets.DegreeWidget.prototype._alertListeners = function(value)
{
    if (value != undefined)
    {
        for (var i=0; i &lt; org.ametys.odf.widgets.DegreeWidget._listeners.length; i++)
        {
            if (typeof org.ametys.odf.widgets.DegreeWidget._listeners[i].onSelectDegree == 'function')
            {
                org.ametys.odf.widgets.DegreeWidget._listeners[i].onSelectDegree (value);
            }
        }
    }
}