/*
 *  Copyright 2014 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.odf.catalog;

import javax.jcr.Node;

import org.ametys.plugins.repository.jcr.SimpleAmetysObject;

/**
 * Catalog java object
 */
public class Catalog extends SimpleAmetysObject<CatalogFactory>
{
    /** code property. */
    public static final String TITLE = "title";
    
    /**
     * Constructor
     * @param node
     * @param parentPath
     * @param catalogFactory
     */
    public Catalog(Node node, String parentPath, CatalogFactory catalogFactory)
    {
        super(node, parentPath, catalogFactory);
    }

    /**
     * Get the title of catalog
     * @return the title
     */
    public String getTitle()
    {
        return getMetadataHolder().getString(Catalog.TITLE);
    }
    
    /**
     * Set the title of catalog
     * @param title the title to set
     */
    public void setTitle (String title)
    {
        getMetadataHolder().setMetadata(Catalog.TITLE, title);
    }
}
