/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.odf.courselist;

import org.ametys.plugins.repository.AmetysObjectIterable;


/**
 * Interface representing a container of {@link CourseList}
 */
public interface CourseListContainer
{
    /**
     * Create a {@link CourseList}
     * @param name The name of the course list to create
     * @return the created course list
     */
    public CourseList createCourseList (String name);
    
    /**
     * Get the child {@link CourseList}
     * @return the child {@link CourseList} in a <code>List</code>
     */
    public AmetysObjectIterable<CourseList> getCourseLists();
}
