/*
 *  Copyright 2012 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.odf.oai;

import java.io.IOException;
import java.util.Arrays;
import java.util.Collection;

import org.apache.cocoon.ProcessingException;
import org.xml.sax.SAXException;

/**
 * <code>ListSets</code> generator. Always send a "noSetHierarchy" error as sets are not implemented.
 */
public class ListSetsGenerator extends OAIVerbGenerator
{
    @Override
    protected Collection<String> getRequiredParameters()
    {
        return Arrays.asList("verb");
    }

    @Override
    protected Collection<String> getAllowedParameters()
    {
        return Arrays.asList("verb", "resumptionToken");
    }

    @Override
    protected void generateVerb() throws IOException, SAXException, ProcessingException
    {
        generateError("noSetHierarchy", "This repository does not support sets");
    }
}
