/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.odf.person.ldap;

/**
 * 
 * Represents an entity that is stored in LDAP.
 *
 */
public class LdapEntity
{
    private String _login;
    private String _firstname;
    private String _lastname;
    private String _phone;
    private String _fax;
    private String _mail;
    private String _street;
    private String _address;
    private String _zipCode;
    private String _town;
    private String _webLinkLabel;
    private String _webLink;
    private String _title;
    private String _role;
    
    /**
     * Construct a ldap entity.
     */
    public LdapEntity()
    {
        _login = "";
        _lastname = "";
        _phone = "";
        _mail = "";
        _street = "";
        _address = "";
        _zipCode = "";
        _town = "";
        _webLinkLabel = "";
        _webLink = "";
    }

    /**
     * Return the Login
     * 
     * @return the login
     */
    public String getLogin()
    {
        return _login;
    }

    /**
     * Set the Login
     * 
     * @param login the login to set
     */
    public void setLogin(String login)
    {
        this._login = login;
    }

    /**
     * Title
     * 
     * @return the title
     */
    public String getTitle()
    {
        return _title;
    }

    /**
     * Title
     * 
     * @param title the title to set
     */
    public void setTitle(String title)
    {
        this._title = title;
    }

    /**
     * Role
     * 
     * @return the role
     */
    public String getRole()
    {
        return _role;
    }

    /**
     * Role
     * 
     * @param role the role to set
     */
    public void setRole(String role)
    {
        this._role = role;
    }

    /**
     * Return the firstName.
     * 
     * @return the firstName
     */
    public String getFirstName()
    {
        return _firstname;
    }

    /**
     * Set the firstname.
     * 
     * @param name the firstname to set
     */
    public void setFirstName(String name)
    {
        this._firstname = name;
    }

    /**
     * Return the LastName.
     * 
     * @return the LastName
     */
    public String getLastName()
    {
        return _lastname;
    }

    /**
     * Set the lastname.
     * 
     * @param name the lastname to set
     */
    public void setLastName(String name)
    {
        this._lastname = name;
    }

    /**
     * Return the phone.
     * 
     * @return the phone
     */
    public String getPhone()
    {
        return _phone;
    }

    /**
     * Set the phone.
     * 
     * @param phone the phone to set
     */
    public void setPhone(String phone)
    {
        this._phone = phone;
    }

    /**
     * Return the fax.
     * 
     * @return the fax
     */
    public String getFax()
    {
        return _fax;
    }

    /**
     * Set the fax.
     * 
     * @param fax the fax to set
     */
    public void setFax(String fax)
    {
        this._fax = fax;
    }

    /**
     * Return the mail.
     * 
     * @return the mail
     */
    public String getMail()
    {
        return _mail;
    }

    /**
     * Set the mail.
     * 
     * @param mail the mail to set
     */
    public void setMail(String mail)
    {
        this._mail = mail;
    }

    /**
     * Return the webLinkLabel.
     * 
     * @return the webLinkLabel
     */
    public String getWebLinkLabel()
    {
        return _webLinkLabel;
    }

    /**
     * Set the webLinkLabel.
     * 
     * @param webLinkLabel the webLinkLabel to set
     */
    public void setWebLinkLabel(String webLinkLabel)
    {
        this._webLinkLabel = webLinkLabel;
    }

    /**
     * Return the webLink.
     * 
     * @return the webLink
     */
    public String getWebLink()
    {
        return _webLink;
    }

    /**
     * Set the webLink.
     * 
     * @param webLink the webLink to set
     */
    public void setWebLink(String webLink)
    {
        this._webLink = webLink;
    }

    /**
     * Return the street.
     * 
     * @return the street
     */
    public String getStreet()
    {
        return _street;
    }

    /**
     * Set the street.
     * 
     * @param street the street to set
     */
    public void setStreet(String street)
    {
        this._street = street;
    }
    
    /**
     * Return the address.
     * 
     * @return the address
     */
    public String getAddress()
    {
        return _address;
    }

    /**
     * Set the address.
     * 
     * @param address the address to set
     */
    public void setAddress(String address)
    {
        this._address = address;
    }

    /**
     * Return the zipCode.
     * 
     * @return the zipCode
     */
    public String getZipCode()
    {
        return _zipCode;
    }

    /**
     * Set the zipCode.
     * 
     * @param zipCode the zipCode to set
     */
    public void setZipCode(String zipCode)
    {
        this._zipCode = zipCode;
    }

    /**
     * Return the town.
     * 
     * @return the town
     */
    public String getTown()
    {
        return _town;
    }

    /**
     * Set the town.
     * 
     * @param town the town to set
     */
    public void setTown(String town)
    {
        this._town = town;
    }

}
