/*
 *  Copyright 2011 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.odf.program;

import org.apache.cocoon.environment.Request;

import org.ametys.cms.repository.ContentTypeExpression;
import org.ametys.cms.repository.SearchGenerator;
import org.ametys.plugins.repository.query.expression.AndExpression;
import org.ametys.plugins.repository.query.expression.Expression;
import org.ametys.plugins.repository.query.expression.Expression.Operator;

/**
 * Search on archived contents excluding {@link SubProgram} and {@link Container} contents
 *
 */
public class ArchiveSearchGenerator extends SearchGenerator
{
    @Override
    protected Expression createContentTypeExpressions(Request request)
    {
        // Exclude subprograms et containers contents
        return new AndExpression(new ContentTypeExpression(Operator.NE, "org.ametys.plugins.odf.Content.subProgram"), new ContentTypeExpression(Operator.NE, "org.ametys.plugins.odf.Content.container"));
    }
}
