<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright 2010 Anyware Services

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
   -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:i18n="http://apache.org/cocoon/i18n/2.1">

	<xsl:template match="items">
    	<items>
    		<xsl:apply-templates select="item">
				<xsl:sort select="value"/>
			</xsl:apply-templates>
    	</items>
    </xsl:template>
    
    <xsl:template match="item">
    	<xsl:choose>
    		<xsl:when test="subitem">
    			<xsl:apply-templates select="subitem">
    				<xsl:sort select="value"/>
    			</xsl:apply-templates>
    		</xsl:when>
    		<xsl:otherwise>
    			<item>
		           <xsl:copy-of select="id"/>
		           <xsl:copy-of select="value"/>
		       	</item>
    		</xsl:otherwise>
    	</xsl:choose>
    </xsl:template>
    
    <xsl:template match="subitem">
    	<item>
    		<xsl:copy-of select="id"/>
    		<xsl:copy-of select="value"/>
    		<group><xsl:value-of select="../value"/></group>
    	</item>
    </xsl:template>
    
</xsl:stylesheet>